Skip to main content
GET
/
schedule
/
v1
/
hours-bag-rules
List Hours Bag Rules
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/hours-bag-rules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "multipliers": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "multiplier 1",
          "variationType": "multiplier",
          "variationValue": 1.75,
          "applyToAllDay": true,
          "startTime": "08:00",
          "endTime": "16:00",
          "fromMinutes": 1,
          "toMinutes": 59
        }
      ]
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

name[contains]
string
default:""

finds by name, can be exact name without [contains]

limit
integer

Limit results by page

page
integer

Request a specific page

Response

200 - application/json

Array of objects

data
object[]
meta
object